//
//  FindViewController.swift
//  SWift-Demo
//
//  Created by 郭军 on 2017/4/24.
//  Copyright © 2017年 JG. All rights reserved.
//

import UIKit

class FindViewController: UIViewController {

    var textField : UITextField = UITextField()
    
    
    
    
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
        
//        self.title = "发现"
        //设置背景颜色
        self.view.backgroundColor = UIColor.cyan
        
        NotificationCenter.default.addObserver(self, selector: #selector(FindViewController.notification(obj:)), name: NSNotification.Name(rawValue: "NotificationName"), object: nil)
        
        //初始化
        textField = UITextField.init(frame: CGRect(x:0,y:0, width:200,height:30))
        textField.center = CGPoint.init(x: self.view.center.x, y: 200)
        textField.textColor = UIColor.blue
        textField.backgroundColor = UIColor.green
        textField.text = "111"
        textField.font = UIFont.systemFont(ofSize: 14)
        textField.placeholder = "请输入内容"
        textField.layer.borderColor = UIColor.black.cgColor
        textField.layer.borderWidth = 0.5
        textField.layer.cornerRadius = 5
        view.addSubview(textField)
        
        let sendBtn = UIButton.init(frame: CGRect(x:0, y:0, width:100, height:30))
        sendBtn.backgroundColor = UIColor.orange
        sendBtn.setTitle("点我跳转", for: UIControlState.normal)
        sendBtn.titleLabel?.font = UIFont.systemFont(ofSize: 14)
        sendBtn.setTitleColor(UIColor.black, for: UIControlState.normal)
        sendBtn.center = CGPoint.init(x: self.view.center.x, y: 280)
        sendBtn.addTarget(self, action: #selector(sendBtnClick), for: UIControlEvents.touchUpInside)
        view.addSubview(sendBtn)
  
        
    }

    
    func notification(obj: NSNotification) {
        
        
    }
    
    
    func sendBtnClick()  {
        
        let vc = DetailViewController()
        vc.hidesBottomBarWhenPushed = true
        vc.text = self.textField.text!
        self.navigationController?.pushViewController(vc, animated: true)
        
    }
    
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

}
